*{box-sizing:border-box}
body{margin:0;padding:0;font-size:14px;line-height:1.5;color:#24292e;font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Helvetica,Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";min-width:600px;word-wrap:break-word}
@media (max-width:414px){
body{width:100%;min-width:100%}
}
img{max-width:100%;height:auto}
svg{vertical-align: middle;}
a,a:link,a:visited{color:#0366d6;text-decoration:none}
a:hover{text-decoration:underline}
.float-right{float:right !important}
.float-left{float:left !important}
.clearfix::before,.clearfix::after{display:table;content:""}
.clearfix::after{clear:both}
.width-full{width:100% !important}
.container{max-width:1216px;margin:0 auto}
.container::before,.container::after{display:table;content:""}
.container::after{clear:both}
@media (max-width:414px){
.container{width:100%}
}
.container-lg{max-width:1248px;padding-left:16px;padding-right:16px;margin:24px auto 0 auto}
.container-lg img{max-width: 100%; height:auto}
.container-lg::before,.container-lg::after{display:table;content:""}
.container-lg::after{clear:both}
@media (max-width:414px){
.container-lg{padding:0;margin:0;width:100%}
}
.list-none{list-style:none}
.col-3,.col-9{float:left}
.col-3{width:25%}
.col-9{width:75%}
.text-ellipsis{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}
@media (min-width:414px){
.mobile-only{display:none}
}
@media (max-width:414px){
.desktop-only{display:none}
}
.navbar-wrapper{position:relative}
.navbar{padding-top:12px;padding-bottom:12px;color:rgba(255,255,255,0.75);background-color:#24292e}
.navbar-logo{color:#fff !important;font-size:37.32px;float:left;margin:-13px 15px -15px -2px;white-space:nowrap}
.navbar-logo img{vertical-align:baseline;height:33px;width:100px}
.navbar-nav{padding:0;margin:0;list-style:none}
.navbar-nav li{float:left}
.navbar-nav a{display:block;padding:5px 8px;font-weight:600;line-height:20px;color:rgba(255,255,255,0.75)}
.navbar-nav a:hover{color:#fff;text-decoration:none}
.navbar-search{width:300px;margin-right:10px;font-size:13px}
.navbar-search-form{display:table;color:#fff;background-color:rgba(255,255,255,0.125);-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px}
.navbar-search label{display:table-cell;width:1%;padding:0 8px;color:rgba(255,255,255,0.75);border-right:1px solid #282e34;font-size:inherit;white-space:nowrap;vertical-align:middle;line-height:28px}
.navbar-search label:hover{background-color:rgba(255,255,255,0.12);color:#fff}
.navbar-search input{display:table-cell;width:100%;border:none;min-height:30px;background:none;padding:0 8px;vertical-align:middle;outline:none;color:inherit;font-size:inherit}
.navbar-search input:focus{outline-width:0}
.user-nav a{padding:5px 10px;font-size:16px;margin:0 0 -10px 0}
.user-nav a:hover{color:#fff}
.user-nav li:last-child{margin-right:-10px}
.user-nav-logo a{line-height:20px}
.user-nav-logo img{width:20px;height:20px;vertical-align:middle;margin-top:-3px}
.user-nav-notification{position:relative}
.user-nav-unread{position:absolute;top:5px;right:14px;z-index:2;width:14px;height:14px;color:#fff;text-align:center;background-image:linear-gradient(#54a3ff,#006eed);background-clip:padding-box;border-width:2px;border-style:solid;border-color:#24292e;border-image:initial;-webkit-border-radius:50%;-moz-border-radius:50%;border-radius:50%}
.header-wrapper{background:#fafbfc;position:relative;padding-top:20px;margin-bottom:20px;border-bottom:1px solid #e1e4e8}
.header-site-detail{margin-bottom:20px}
.header-title{position:relative;float:left;max-width:635px;padding-left:18px;font-size:18px;line-height:26px;color:#586069;margin:0 0 0 -18px}
.header-toolbar{margin:0 -11px 0 0;float:right;list-style:none;padding:0;border-color:rgba(27,31,35,0.35)}
.header-toolbar li{float:left;margin:0 10px 0 0;font-size:11px;color:#24292e;list-style-type:none}
.header-toolbar a,.header-toolbar span{line-height:20px;color:#24292e;position:relative;display:inline-block;padding:3px 10px;font-size:12px;font-weight:600;white-space:nowrap;vertical-align:middle;cursor:pointer;border:1px solid rgba(27,31,35,0.2)}
.header-toolbar a:hover{text-decoration:none}
.header-toolbar-left{margin-right:-5px;background-color:#eff3f6;background-image:-webkit-linear-gradient(270deg,#fafbfc 0%,#eff3f6 90%);background-image:linear-gradient(-180deg,#fafbfc 0%,#eff3f6 90%);background-repeat:repeat-x;background-position:-1px -1px;background-size:110% 110%;-webkit-border-radius:3px 0 0 3px;-moz-border-radius:3px 0 0 3px;border-radius:3px 0 0 3px}
.header-toolbar-left:hover{background-color:#e6ebf1;background-image:-webkit-linear-gradient(270deg,#f0f3f6 0%,#e6ebf1 90%);background-image:linear-gradient(-180deg,#f0f3f6 0%,#e6ebf1 90%);background-position:0 -0.5em}
.header-toolbar-right{font-weight:600;line-height:20px;background-color:#fff;border-left:0;-webkit-border-radius:0 3px 3px 0;-moz-border-radius:0 3px 3px 0;border-radius:0 3px 3px 0}
.header-toolbar-right:hover{color:#0366d6}
.header-tab{float:left;padding:7px 15px 8px;color:#586069;white-space:nowrap;cursor:default;border-top:3px solid transparent}
.header-tab a{color:#586069}
.header-tab:hover{color:#24292e}
.header-tab-selected{color:#24292e;border-top:3px solid #e36209;border-left:1px solid #e1e4e8;border-right:1px solid #e1e4e8;background-color:#fff;-webkit-border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;border-radius:3px 3px 0 0}
.header-tab-wrapper{position:relative;top:1px;margin-top:-5px}
figure.highlight{margin:0 0 16px 0;padding:16px;font-size:16px;line-height:1.45;background-color:#f6f8fa;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;word-wrap:normal}
figure.highlight pre{margin:0;font-size:85%}
figure.highlight .line{height:20px;font-szie:100%;word-break:normal}
figure.highlight .gutter{display:none}
pre{margin-top:0;margin-bottom:0;font-style:normal;font-variant-ligatures:normal;font-variant-caps:normal;font-variant-numeric:normal;font-weight:normal;font-stretch:normal;font-size:12px;line-height:normal;font-family:"SFMono-Regular",Consolas,"Liberation Mono",Menlo,Courier,monospace}
.highlight{display:block;background:#fff;padding:0.5em;color:#333;overflow-x:auto}
.highlight .comment,.highlight .meta{color:#969896}
.highlight .string,.highlight .variable,.highlight .template-variable,.highlight .strong,.highlight .emphasis,.highlight .quote{color:#df5000}
.highlight .keyword,.highlight .selector-tag,.highlight .type{color:#a71d5d}
.highlight .literal,.highlight .symbol,.highlight .bullet,.highlight .attribute{color:#0086b3}
.highlight .section,.highlight .name{color:#63a35c}
.highlight .tag{color:#333}
.highlight .title,.highlight .attr,.highlight .selector-id,.highlight .selector-class,.highlight .selector-attr,.highlight .selector-pseudo{color:#795da3}
.highlight .addition{color:#55a532;background-color:#eaffea}
.highlight .deletion{color:#bd2c00;background-color:#ffecec}
.highlight .link{text-decoration:underline}
.post-container{border:1px solid #e2e8f0;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;margin-bottom:30px}
.post-container >h3{background-color:#f6f8fa;margin:0;padding:10px 10px 10px;font-size:14px;line-height:17px;border-bottom:1px solid #e2e8f0;-webkit-border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;border-radius:3px 3px 0 0}
.post-date{font-size:13px;line-height:20px;color:#586069;font-weight:normal}
.post-content{padding:45px;word-wrap:break-word;font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Helvetica,Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";font-size:16px}
@media (max-width:414px){
pre{font-family:Consolas,"Liberation Mono",Courier,monospace}
.navbar-wrapper .navbar{padding:4px}
.navbar-wrapper .navbar .navbar-nav{margin-bottom: 5px;}
.navbar-wrapper .container {display:flex;flex-wrap: wrap;}
.navbar-logo{display:none}
.user-nav li:last-child{margin-right:0px}
.post-container{-webkit-border-radius:0;-moz-border-radius:0;border-radius:0;border-right:none;border-left:none;border-top:none}
.post-container >h3{padding:15px}
.post-content{padding:15px;font-size:15px}
}
.post-content >*:first-child{margin-top:0 !important}
.post-content h1,.post-content h2,.post-content h3,.post-content h4,.post-content h5,.post-content h6{font-weight:600;line-height:1.25;margin-top:24px;margin-bottom:16px}
.post-content img{max-width:100%;vertical-align:middle;}
.post-content h1{padding-bottom:0.3em;border-bottom:1px solid #eaecef}
.post-content h2{padding-bottom:0.3em;font-size:1.5em;border-bottom:1px solid #eaecef}
.post-content h3{font-size:1.25em}
.post-content p{margin-top:0;margin-bottom:16px}
.post-content code{-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;background-color:#f3f3f4;padding-top:0.2em;padding-bottom:0.2em;font-size:85%;font-family:"SFMono-Regular",Consolas,"Liberation Mono",Menlo,Courier,monospace}
.post-content code::before,.post-content code::after{letter-spacing:-0.2em;content:"\00a0"}
.post-content blockquote{padding:0 1em;color:#6a737d;border-left:0.25em solid #dfe2e5;margin:0}
.post-content >table{display:block;width:100%;overflow:auto;border-spacing:0;border-collapse:collapse}
.post-content >table tr{border-top:1px solid #c6cbd1}
.post-content >table tr:nth-child(2n){background-color:#f6f8fa}
.post-content >table th,.post-content >table td{padding:6px 13px;border:1px solid #dfe2e5}
.post-content >table th{font-weight:600}
.footer{position:relative;padding-top:40px;padding-bottom:40px;margin-top:40px;font-size:12px;line-height:1.5;color:#586069;border-top:1px solid #eaecef}
@media (max-width:414px){
.footer{padding:15px;color:#959da5;text-align:center}
}
.footer-social-link{margin:0 0 0 -10px;padding:0;list-style:none;float:left}
@media (max-width:414px){
.footer-social-link{float:none}
}
.footer-social-link li{display:inline-block;line-height:16px;margin-left:10px}
.footer-theme-info{float:right}
@media (max-width:414px){
.footer-theme-info{float:none}
}
.footer-logo{position:absolute;top:30px;left:50%;margin-left:-12px;font-size:24px;color:#c6cbd1;font-size:28px}
.footer-logo img{-webkit-filter:invert(1);filter:invert(1)}
@media (max-width:899px){
.footer-logo{display:none}
}
@media (max-width:414px){
.calendar-container{display:none}
}
.calendar-container h3{font-size:16px;font-weight:normal;margin-bottom:8px;margint-top:0}
.calendar-graph{padding:5px 0 0;text-align:center;height:100%;position:relative}
.calendar-graph-container{margin-bottom:32px;padding:8px 0;border:1px solid #e2e8f0;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px}
.calendar .month{fill:#767676;font-size:9px}
.calendar .wday{fill:#767676;font-size:9px}
.calendar-footer{padding:0 16px 4px 16px;margin:4px 16px 0 16px;font-size:11px}
.calendar-legend{color:#586069;float:right}
.calendar-legend ul{display:inline-block;list-style:none;padding:0;margin:0}
.calendar-legend ul li{float:left;width:10px;height:10px}
.contribution-list ul{list-style:none;padding:0}
.svg-tip{width:200px;position:absolute;z-index:999;padding:10px;color:#bbb;text-align:center;background:rgba(0,0,0,0.8);-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;font-size:11px;white-space:nowrap}
.svg-tip strong{color:#dfe2e5}
.svg-tip:after{position:absolute;bottom:-10px;left:50%;width:5px;height:5px;box-sizing:border-box;margin:0 0 0 -5px;content:" ";border:5px solid transparent;border-top-color:rgba(0,0,0,0.8)}
.day:hover,.day.active{stroke-width:1px;stroke:#000;shape-rendering:crispEdges}
.blog-intro{width:25%;padding-right:15px;float:left}
@media (max-width:414px){
.blog-intro{width:100%;padding-left:16px;padding-right:16px;background-color:#fafbfc;border-bottom:1px solid #e1e4e8}
}
.blog-intro .avatar{ width: 230px; margin: auto; display: block; margin-bottom: 6px;}
@media (max-width:414px){
.blog-intro  .user-online, .blog-intro  .user-offline { text-align: center; margin-top: 4px; margin-bottom: 12px; }
.blog-intro-wrapper {float:left;margin-right:25px;max-width:120px}
.blog-intro .avatar{width:110px;height:132px;display:block;margin-bottom:4px;border-radius: 2px;}
}
@media (max-width:414px){
.blog-intro-user{padding-top:15px;padding-bottom:15px}
}
.blog-intro .user-detail{border-top:1px solid #eee;padding:16px 0;list-style:none;margin:0;font-size:14px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;vertical-align:top}
@media (max-width:414px){
.blog-intro .user-detail{padding:0;margin-top:7px;margin-left:-2px;border:none;font-size:12px;line-height:1.8}
}
.blog-intro .user-detail li{padding-top:4px}
@media (max-width:414px){
.blog-intro .user-detail li{padding:0}
}
.blog-intro .subtitle { color: #657786; margin-top: 8px}
.blog-intro .specs { margin: 0; padding: 0; display: block; list-style: none; font-size: .875rem; line-height: 1.25rem; text-align: center }
.blog-intro .specs>li { display: inline-block; font-size: 12px; line-height: 100%; padding: 4px 12px; border-radius: 9999px; margin: 12px 6px 0 6px; }
.blog-intro .user-detail i{display:inline-block;width:20px;text-align:center}
.blog-intro .soc-md{border-top:1px solid #eee;padding:16px 0}
.blog-intro .soc-md h4{font-size:16px;margin:0 0 4px 0}
.blog-intro .soc-md ul{padding:0;list-style:none;margin:0}
.blog-intro .soc-md-item{float:left;margin-right:5px;font-size:25px;width:35px;height:35px;text-align:center}
.blog-intro .soc-md-item a{line-height:35px}
.blog-intro .soc-md-item svg {border-radius: 2px;}
.user-name{padding:16px 0}
@media (max-width:414px){
.user-name{padding:0}
.blog-intro .specs>li{padding: 4px 8px;margin: 3px;}
}
.blog-title{font-size:26px;line-height:30px;font-weight:600;padding:0;margin:0;text-align: center;}
@media (max-width:414px){
.blog-title{margin:0;font-size:16px;line-height:1.5}
}
.blog-author{font-size:20px;font-style:normal;line-height:24px}
@media (max-width:414px){
.blog-author{margin:0;font-size:12px}
}
.blog-description{margin-bottom:12px;color:#6a737d;font-size:13px}
@media (min-width:415px){
.user-online{text-align:center}
}
.user-online i{color:green}
.user-offline{color:#666}
@media (max-width:414px){
.blog-description{clear:both;font-size:12px;margin:10px 0 0 0}
}
.blog-detail{width:75%;padding-left:8px;float:left}
@media (max-width:414px){
.blog-detail{width:100%;padding-left:16px;padding-right:16px}
}
.blog-detail-nav{border-bottom:1px solid #e2e8f0}
.blog-detail-nav ul{list-style:none;padding:0;margin:0}
.blog-detail-nav ul li{float:left;padding:0;height:60px;color:#586069}
.blog-detail-nav ul li.selected{border-bottom:2px solid #e36209}
.blog-detail-nav ul li.selected a,.blog-detail-nav ul li.selected a:hover,.blog-detail-nav ul li.selected a:link,.blog-detail-nav ul li.selected a:visited{color:#24292e}
.blog-detail-nav ul li a,.blog-detail-nav ul li a:hover,.blog-detail-nav ul li a:link,.blog-detail-nav ul li a:visited{text-decoration:none;color:#586069;padding:0 20px;display:inline-block;line-height:60px}
.counter{background:#eee;-webkit-border-radius:20px;-moz-border-radius:20px;border-radius:20px;padding:2px 5px;display:inline-block;font-weight:600;line-height:1;font-size:12px}
.right-title{margin-top:24px;margin-bottom:8px;font-size:16px}
.user-info{padding-right:16px}
.user-info-avatar{width:230px;max-height:230px;vertical-align:middle;display:inline-block;overflow:hidden}
.recent-post{list-style:none;padding:0;margin:0 0 24px 0;display: flex;flex-wrap: wrap;}
@media (max-width:414px){
.recent-post{width:100%;border:0;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px}
}
.recent-post-item{border:1px solid #e2e8f0;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;width:446px;padding:12px 16px;margin-bottom:16px;overflow:hidden}
@media (max-width:414px){
.recent-post-item{width:100%;float:none;border:none;height:auto;margin:10px 0;padding:0;border-top:1px solid #e2e8f0}
.recent-post-item:first-child{border-top:none}
.recent-post-item h3 { margin: 6px 0;}
}
.recent-post-item:nth-child(odd){margin-right:5px}
@media (max-width:414px){
.recent-post-item:nth-child(odd){magrin:0}
}
.recent-post-item:nth-child(even){margin-left:5px}
@media (max-width:414px){
.recent-post-item:nth-child(even){margin:0}
}
.post-title{margin:0;line-height:21px;max-width:325px}
.post-title i{padding-right:5px}
.post-description{margin:8px 0 12px 0;font-size:13px;color:#586069;height:18px;max-width:325px}
.post-info{margin:0;color:#586069;font-size:12px;white-space:nowrap}
.post-info a{display:inline-block;max-width:316px;overflow:hidden;text-overflow:ellipsis;vertical-align:middle;font-size:14px}
.post-info span{margin-right:6px}
.archive-list{list-style:none;padding:0}
.archive-list-item{padding:24px 0;border-bottom:1px solid #e1e4e8}
.archive-list-item h2{margin:0;font-size:20px;font-weight:600}
.archive-list-item p{font-size:14px;color:#586069;margin:6px 0 8px 0}
.archive-list-item .post-info{margin-top:8px;font-size:12px}
.tag-list{padding:4px 0;list-style:none;margin:0}
.tag-list-item{float:left;margin:0 0.5em 0.5em 0;padding:0.3em 0.9em;background:#f1f8ff;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;color:#0366d6;font-size:12px}
.tag-list-item:hover{background:#def}
.tag-list-count{padding-left:5px;font-weight:bold}
#google-search{display:table-cell;width:100%}
#google-search input{background:none !important;color:#fff;border:none;min-height:30px;background:none;padding:0 8px !important;vertical-align:middle;outline:none;color:inherit;font-size:inherit;text-indent:0 !important;width:85%; min-width: 180px}
#google-search #___gcse_0 input:focus{outline-width:0}
#google-search button{background:none;border:0}
.infoblock{width: 48%;display: inline-block;vertical-align:top;overflow:hidden;padding-right: 1%}
.microblog-main ul,.infoblock ul{list-style:none;padding:0;font-size:13px}
.microblog-main ul li{border-top:1px solid #eee;padding:6px 12px;margin:4px 0}
.microblog-main ul li:first-child{border-top:0}
.infoblock ul li{white-space:pre;text-overflow:ellipsis;overflow:hidden;font-size:13px}
.microblog-main .mb-date{color:#586069}
.microblog-main .mb-bottom{color:#e2e8f0;display:none}
.microblog-main .mb-item{text-overflow:ellipsis;overflow:hidden}
.microblog-main .mb-item p{display: inline;}
.link-right{display:block;text-align:right;float:right}
.recent-post-item .post-title{font-size:16px}
a.tg-channel { display: block; clear: both; font-size: 150%; padding-top: 4px; font-weight: bold; color: #0088cc; vertical-align: middle; text-decoration: none; }
@media (max-width:1080px){
  #ask_question { display:none }
}
@media (max-width:414px){
  .post-title{white-space:normal}
  .infoblock{width:100%;padding-right:0}
} 
.user-nav .popup-menu{display:none}
.user-nav>li{padding:5px 10px;position:relative}
.user-nav-notification{margin-top:-4px}
.user-nav a .fa-bell{font-size:20px}
.user-nav li:focus .popup-menu, .user-nav li:active .popup-menu, .user-nav .popup-menu:hover{display:block;position:absolute;width:180px;background:#000;list-style:none;padding:2px;border:#000 1px solid;font-size:100%;right:0;outline:0;z-index:100}
.user-nav li .popup-menu li{width:100%}
.user-nav li .popup-menu li a{padding:4px 10px;background:#24292e;overflow:hidden;display:block;width:100%;margin:1px;font-weight:normal;font-size:90%}
.user-nav li .popup-menu li.welcome{display:block;font-weight:bold;text-align:center}
.ask_form{width:800px;height:42em;margin:-230px -400px;position:fixed;left:50%;top:50%;background:#fff;z-index:1002;padding:20px;border:#24292e 1px solid;box-shadow:10px 10px 20px #24292e;border-radius:3px}
.ask_form .pseudo_comment { display: none }
.ask_form .postboxes { display: none }
.ask_form .rules_reminder { display: none }
.ask_form fieldset { border:0; }
.ask_form textarea { width: 100%; box-sizing: border-box }
#cc-license { position: relative; clear: both; top: 10px; text-align: center}
#ib_all .ask_back{height:100%;width:100%;position:fixed;opacity:0.6;background:#000;top:0;left:0;z-index:1001;display:none}
#ib_all .ask_form .postform .extended{display:none}
.ask_question{position:fixed;right:0;top:50%;border:#24292e solid 2px;font-weight:600;font-size:16px;transform:rotate(-90deg);transform-origin:right bottom 0;border-radius:10px;margin-right:-10px;padding-bottom:10px;width:160px;height:40px;line-height:30px;text-align:center;margin-top:-75px;background-color:#eaecef;cursor:pointer;z-index:999}
table.design{padding:0;margin:0;border-spacing:0;empty-cells:show;border-collapse:collapse;width:100%;table-layout:fixed}
.dbg{display:block;border:#888 1px solid}
.invis{display:none}
#ib_all .ibform *{box-sizing:initial}
#ib_all .ibform fieldset{border-width:1px;border-style:solid;margin:0;padding:0;box-sizing:initial}
#ib_all .ibform legend{display:block;width:100%;margin:0;padding:3px 1px;color:rgba(255,255,255,0.75);background:#24292e;font-size:125%;text-align:center;cursor:pointer;box-sizing:initial}
#ib_all .ibform fieldset>div{padding:2px 0;clear:both}
#ib_all .ibform .sceditor-button div{padding:0;clear:none}
#ib_all .ibform fieldset>div:nth-child(odd){background:#eaecef}
#ib_all .ibform div small{display:block;font-size:80%}
#ib_all .ibform span{display:block;width:40%;text-align:right;padding:2px 5px;float:left}
#ib_all .ibform .submit{padding-left:40%}
#ib_all .ibform .submit button,#ib_all .postform .submit button{margin-left:9px;font-size:140%;padding:3px 10px}
#ib_all .ibform input[type="text"],#ib_all .ibform input[type="email"],#ib_all .ibform input[type="password"],#ib_all .ibform textarea, .ibform select {padding:5px 6px;border-radius:3px;border-style:solid;border-width:1px;margin-left:4px}
#ib_all .smallform{}
#ib_all .smallform fieldset{border:0;font-size:90%;padding:4px}
#ib_all .smallform legend{display:none}
#ib_all .smallform input,#ib_all .smallform select{font-size:90%;padding:0}
#ib_all .center{text-align:center}
#ib_all .username,#ib_all a.username:visited{color:#800;font-weight:bold}
#ib_all .left{display:block;float:left}
#ib_all .right{display:block;float:right}
#ib_all .block{background:#f6f8fa;border:#e2e8f0 1px solid;line-height:120%;font-size:90%;box-sizing:initial}
#ib_all .block div{padding:4px 8px}
#ib_all .block .headline{font-size:120%;font-weight:bold;color:rgba(255,255,255,0.75);background:#24292e}
#ib_all .ibtable{width:100%;table-layout:fixed;border-collapse:collapse;border:#e2e8f0 2px solid}
#ib_all div.msg_error,#ib_all div.msg_warn,#ib_all div.msg_ok{padding:8px 10px;margin:4px 0;border-width:0 0 0 4px;border-style:solid;font-size:110%}
#ib_all div.msg_error{background:#FEE;border-color:#800}
#ib_all div.msg_error::before{content:'⮿';font-size:200%;padding-right:10px;line-height:100%;vertical-align:middle;color:#e00}
#ib_all div.msg_warn{background:#FFE;border-color:#993}
#ib_all div.msg_warn::before{content:'⚠';font-size:120%;padding-right:10px;line-height:100%;vertical-align:middle;color:#dd4}
#ib_all div.msg_ok{background:#EFE;border-color:#080}
#ib_all div.msg_ok::before{content:'✔';font-size:120%;padding-right:10px;line-height:100%;vertical-align:middle;color:#0e0}
#ib_all span.msg_error{color:#800}
#ib_all span.msg_warn{color:#993}
#ib_all span.msg_ok{color:#080}
#ib_all .pages{line-height:180%}
#ib_all .pages ul{list-style:none;display:inline}
#ib_all .pages li{display:inline}
#ib_all .pages li a,#ib_all .pages li b{padding:4px 5px;background-color:#def;margin-left:8px}
#ib_all .tags li { padding: 2px 5px; font-size: 90%; }
#ib_all .tags { display: block; padding: 5px 0; margin: 0 0 10px 0}
#ib_all .tags li { display: inline-block; list-style: none; margin-right: 5px; background: #def }
#ib_all .load_more { text-align: center; display: block; background: #eaecef; padding: 4px 0 8px 0; margin-bottom: 2px; text-decoration: none; }
#ib_all .load_more:hover { background: #def; }
#ib_all .actionbtn{display:inline-block;border:#dcddde 1px solid;border-radius:3px;padding:2px 16px;margin:2px 2px 2px 0;background:none;text-decoration:none;font-weight:bold;font-size:100%;color:#24292e}
#ib_all .actionbtn:hover{background:#eaecef}
#ib_all a.actionicon { padding: 6px; margin: 0 0 0 12px; font-size: 140%; line-height: 1; vertical-align: middle; color:#24292e }
#ib_all .warnbtn{background-color:#fbb}
#ib_all a.unclickable {pointer-events: none; color: inherit; opacity: 0.33}
#ib_all .mod_actions{text-align:right;font-size:90%;margin:25px 0;clear:both}
#ib_all .mod_actions b{font-size:150%;color:#800}
#ib_all .mod_actions a{color:#283E7F}
#ib_all a.small_link{text-decoration:none;font-size:90%;color:#283E7F}
#ib_all .location_path{list-style:none;display:block;padding:4px 10px;margin:0 0 20px 0;border:#f6f8fa 1px solid}
#ib_all .location_path li{display:inline;white-space:nowrap}
#ib_all .rss_link{display:block;float:right;border:0;padding:0 5px;font-size:160%}
#ib_all .rss_link img{height:13px;width:30px}
#ib_all .captcha{vertical-align:middle}
#ib_all blockquote{border:#e2e8f0 1px solid;font-size:90%;background:#eaecef;padding:5px 5px 5px 12px;overflow:auto;max-height:15em;margin:5px 20px;border-left-width: 8px;}
#ib_all details.inline[open] summary { display: none;}
#ib_all details.inline summary { text-decoration: underline dotted #0366d6; cursor: pointer; }
#ib_all details.inline summary::marker { content: ""; }
#ib_all details.inline { display: inline-block }
#ib_all .postform{border:#dcddde 1px solid;box-sizing:initial;border-radius:3px}
#ib_all .postform *{box-sizing:initial}
#ib_all .postform .pseudo_comment { position: absolute; top: -1200px; left: 0; }
#ib_all .postform fieldset{border:0;padding:0;margin:0}
#ib_all .postform legend{display:block;width:100%;margin:0;padding:2px 0px;background:#fafbfc;font-size:150%;text-align:center}
#ib_all .postform div label span{display:block;width:18em;float:left}
#ib_all .postform .sceditor-container div{padding:0}
#ib_all .postform fieldset div{padding:2px 5px}
#ib_all .postform textarea{width:98%;max-width:98vw;min-height:120px}
#ib_all .postform .extended{display:flex;flex-wrap:wrap}
#ib_all .postform .postboxes{display:flex;flex-wrap:wrap;flex-basis:70%;flex-grow:1}
#ib_all .postform .postboxes label{display:block;flex-basis:33%}
#ib_all .postform .perms{font-size:80%;color:#666;flex-basis:25%}
#ib_all .postform .submit{text-align:center;clear:both;background:#f6f8fa;line-height:250%}
#ib_all .postform .attach span{display:inline-block;width:17.4em;text-align:right}
#ib_all .postform div.sceditor-container{padding:0}
#ib_all .postform .danger{color:#c00}
#ib_all .postform .maintext{clear:both}
#ib_all .postform .rules_reminder { float: right; color: #888; width: auto; }
#ib_all .postform .rules_reminder a { color: #888; text-decoration: underline; }
#ib_all .postform input[type="text"],#ib_all .postform input[type="email"],#ib_all .postform input[type="password"] {padding:5px 6px;border-radius:3px;border-style:solid;border-width:1px;border-color: rgb(118,118,118)}
#ib_all .miniform legend{display:none}
#ib_all .miniform fieldset{margin:0;padding:0}
#ib_all .miniform .maintext span,#ib_all .miniform .maintext br{display:none}
#ib_all .miniform fieldset>div>div>label>div{padding:0;margin:0}
#ib_all .miniform .attach,#ib_all .miniform .extended{display:none}
#ib_all .miniform .sceditor-button div{margin:2px 0}
#ib_all .sceditor-container textarea {min-height:3em}
#ib_all .modlink a{font-size:100%;padding:5px;color:#657786}
#ib_all h1{font-size:26px}
#ib_all .fa-rss-square{color:#f26522}
#ib_all .amsify-suggestags-input-area .amsify-select-tag.col-bg { display: initial; width: auto; /*float: initial;*/ }
#ib_all .postform fieldset div.amsify-suggestags-area { display: inline-block; padding: 0 }
#ib_all .amsify-focus { border-color: initial; outline:initial; box-shadow: initial }
#ib_all .amsify-suggestags-input-area { display: inline-block; padding: 3px !important; border-radius: 3px; border-style: solid;
    border-width: 1px; border-color: rgb(118,118,118); min-width: 40%; }
#ib_all .postform input.amsify-suggestags-input { border: 0 }
#ib_all .amsify-suggestags-input-area .amsify-select-tag.col-bg { background: #def; color:#24292e }

#ib_all .post .offtopic { font-size: 90%; color: #666 }
#ib_all .post .offtopic:before { content: 'Оффтопик: '; color: #999 }

#ib_all .postact { display:none; position: absolute; bottom: -1px; right: -1px;  border: #e2e8f0 1px solid; background: #f8f8f8; margin: 0; list-style: none }
#ib_all .post:hover .postact { display: block }
#ib_all .postact li { display: inline-block; font-size: 1.4em; padding: 5px 16px }
#ib_all .post .pu, #ib_all .post .ptop, #ib_all .post .postact { user-select: none; }
#ib_all .post .postact li:empty { font-size:0; display: none }
#ib_all .postact a { text-decoration: none }
#ib_all .postact .postedit { color: #880 }
#ib_all .postact .postdelete { color: #800 }
#ib_all .postact .postmark { color: #880  }
#ib_all .postact .modaccept { color: #080  }

#ib_all .instagram li { display: inline; list-style: none; padding: 0 3px}
#ib_all .video_embed { width: 100%; height: auto; border: 0; background: url('../../i/video-bg.svg'); background-repeat: no-repeat; background-position: center; background-size: contain; aspect-ratio: 16 / 9; }
#ib_all video { width: 100%; height: auto; }

#ib_all .ql-align-left { text-align: left }
#ib_all .ql-align-center { text-align: center }
#ib_all .ql-align-justify { text-align: justify }
#ib_all .ql-align-right { text-align: right }
#ib_all .ql-indent-1:not(.ql-direction-rtl) {padding-left: 3em}
#ib_all li.ql-indent-1:not(.ql-direction-rtl) {padding-left: 4.5em}
#ib_all .ql-indent-1.ql-direction-rtl.ql-align-right {padding-right: 3em}
#ib_all li.ql-indent-1.ql-direction-rtl.ql-align-right {padding-right: 4.5em}
#ib_all .ql-indent-2:not(.ql-direction-rtl) {padding-left: 6em}
#ib_all li.ql-indent-2:not(.ql-direction-rtl) {padding-left: 7.5em}
#ib_all .ql-indent-2.ql-direction-rtl.ql-align-right {padding-right: 6em}
#ib_all li.ql-indent-2.ql-direction-rtl.ql-align-right {padding-right: 7.5em}
#ib_all .ql-indent-3:not(.ql-direction-rtl) {padding-left: 9em}
#ib_all li.ql-indent-3:not(.ql-direction-rtl) {padding-left: 10.5em}
#ib_all .ql-indent-3.ql-direction-rtl.ql-align-right {padding-right: 9em}
#ib_all li.ql-indent-3.ql-direction-rtl.ql-align-right {padding-right: 10.5em}
#ib_all .ql-indent-4:not(.ql-direction-rtl) {padding-left: 12em}
#ib_all li.ql-indent-4:not(.ql-direction-rtl) {padding-left: 13.5em}
#ib_all .ql-indent-4.ql-direction-rtl.ql-align-right {padding-right: 12em}
#ib_all li.ql-indent-4.ql-direction-rtl.ql-align-right {padding-right: 13.5em}
#ib_all .ql-indent-5:not(.ql-direction-rtl) {padding-left: 15em}
#ib_all li.ql-indent-5:not(.ql-direction-rtl) {padding-left: 16.5em}
#ib_all .ql-indent-5.ql-direction-rtl.ql-align-right {padding-right: 15em}
#ib_all li.ql-indent-5.ql-direction-rtl.ql-align-right {padding-right: 16.5em}
#ib_all .ql-indent-6:not(.ql-direction-rtl) {padding-left: 18em}
#ib_all li.ql-indent-6:not(.ql-direction-rtl) {padding-left: 19.5em}
#ib_all .ql-indent-6.ql-direction-rtl.ql-align-right {padding-right: 18em}
#ib_all li.ql-indent-6.ql-direction-rtl.ql-align-right {padding-right: 19.5em}
#ib_all .ql-indent-7:not(.ql-direction-rtl) {padding-left: 21em}
#ib_all li.ql-indent-7:not(.ql-direction-rtl) {padding-left: 22.5em}
#ib_all .ql-indent-7.ql-direction-rtl.ql-align-right {padding-right: 21em}
#ib_all li.ql-indent-7.ql-direction-rtl.ql-align-right {padding-right: 22.5em}
#ib_all .ql-indent-8:not(.ql-direction-rtl) {padding-left: 24em}
#ib_all li.ql-indent-8:not(.ql-direction-rtl) {padding-left: 25.5em}
#ib_all .ql-indent-8.ql-direction-rtl.ql-align-right {padding-right: 24em}
#ib_all li.ql-indent-8.ql-direction-rtl.ql-align-right {padding-right: 25.5em}
#ib_all .ql-indent-9:not(.ql-direction-rtl) {padding-left: 27em}
#ib_all li.ql-indent-9:not(.ql-direction-rtl) {padding-left: 28.5em}
#ib_all .ql-indent-9.ql-direction-rtl.ql-align-right {padding-right: 27em}
#ib_all li.ql-indent-9.ql-direction-rtl.ql-align-right {padding-right: 28.5em}


#quotemenu { position: absolute; z-index: 1011; background: #fff; font-size: 15px; border: #A3CEFF 2px solid; 
  list-style: none; margin: 4px 0; user-select: none; padding: 0}
#quotemenu li { margin: 4px; padding: 0 6px; line-height: 200%; cursor: pointer;}
#quotemenu li:hover { background: #EDF5FF; }
#quotemenu li i { padding: 0 6px }
.intb-loading-cursor { cursor: wait; }

@media screen and (max-width: 980px) {
  #ib_all .postact { display: block; width: 100% }
  #ib_all .postact a {line-height:normal}
  #ib_all .location_path li{white-space:normal}
  #ib_all .post .avatar{max-height:24px}
}

@media screen and (max-width: 480px) {
  #ib_all .header, #ib_all .main_menu { margin: 0 -5px }
  #ib_all .ibform span { float: none; text-align: left; width: auto }
  #ib_all .ibform label { display: block }
  #ib_all .ibform .submit { padding-left: 0; text-align: center;}
  #ib_all .ibform textarea, #ib_all .ibform select, #ib_all .ibform input[type=text], #ib_all .ibform input[type=password] { width: 96%; margin: 0 5px; max-width: none; box-sizing: border-box}
  #ib_all .ibform span select { width: auto; margin: 0 }
  #ib_all .postform textarea.bbcode { min-height: 220px }
  #ib_all .postform input[type=text] { width: 98% }
  #ib_all .postform .postboxes label { flex-basis: 50% }
  #ib_all .navbar-search, #ib_all .navbar-search input  { width: 54vw; }
  #ib_all .navbar-search { margin-left: 8px; }
  #ib_all .user-nav>li { padding: 5px 6px; }
  #ib_all .navbar-search { flex-grow: 1; }
  #ib_all .navbar-search input { min-width: auto; width: 100% } 
  #ib_all .actionbtn { padding: 2px 8px }
  #ib_all a.actionicon { padding: 4px; margin: 0 0 0 8px; }
  #ib_all .topic_start { margin-bottom: 0 }
  #ib_all .pages.right { float: none; text-align: right; margin: 6px 0; }
}

@media screen and (max-width: 330px) {
  #ib_all .navbar-search, #ib_all .navbar-search input  { width: 50vw; }
}

@media print {
.ask_question,.navbar-wrapper,.footer-wrapper,.blog-detail-nav,.header-tab-wrapper,.header-site-detail {display:none}
.container{width:auto}
.post-container{border:0}
.postform,.mod_actions,.blogpost_info,h4#comments,#ib_all .pages{display:none}
}
